function arc(A,B,C)
%  ARC(A,B,C) or ARC(POINTS) where SIZE(POINTS)==3
%  Draw positively directed arc with centre A from the point B 
%    to the ray AC.
%  ARC(A,B)  Draw circle with centre A passing through B.
global DRAWING_FILE TEX 
if nargin==1, B=A(2); C=A(3); A=A(1); end
if nargin==2, C=B; end
if TEX,
  fprintf(DRAWING_FILE,'\\put(%f,%f){\\arc(%f,%f){%f}}\n',real(A),imag(A),
  real(B-A),imag(B-A), degrees(C,A,B));
else
  d=degrees(C,A,B); n=round(d);
  plot(A+(B-A)*exp(2i*pi*((0:n)/n)*d/360),'b')
end
