function drawing(name,canvas)
%  Make a drawing as a LaTeX picture.  Not intended for interactive use.

% DRAWING(NAME,[CANVAS=[100,100;-50,-50]]) 
%  CANVAS=[xsize,ysize;xSW,ySW] -- like \picture(xsize,ysize)(xSW,ySW)
%  Relies on many global variables.  
%  Called from the main .mfg file generated by geomplex.sty, and in
%  turn calls the other .mfg files.
 
global DRAWING_FILE JOBNAME DRAWNUMBER TEX XMAX XMIN YMAX YMIN FONT
global UNIT ARROW_SIZE RIGHT_ANGLE_SIZE MARK_SIZE SYMBOL_SEP LABEL_OFFSET
TEX=1;  FONT='\\sf\\small';
UNIT=1; ARROW_SIZE=3; RIGHT_ANGLE_SIZE=5; MARK_SIZE=7;
SYMBOL_SEP=2; LABEL_OFFSET=6;
if name=='*', DRAWNUMBER=DRAWNUMBER+1; name=[JOBNAME sprintf('%i',DRAWNUMBER)];
  end
if nargin<2, canvas=[]; end
if isempty(canvas), canvas=[100,100;-50,-50]; end
XMIN=canvas(2,1); YMIN=canvas(2,2);
XMAX=XMIN+canvas(1,1); YMAX=YMIN+canvas(1,2);
if nargin<3, verbose=0; end
DRAWING_FILE=fopen([name '.lfg'],'w');
fprintf(DRAWING_FILE,'\\begin{picture}%s\n',
  sprintf('(%g,%g)(%g,%g)',canvas(1,:),canvas(2,:)));
fprintf(DRAWING_FILE,'%s\n',FONT);
source([name '.mfg']); 
fprintf(DRAWING_FILE,'\\end{picture}\n');
fclose(DRAWING_FILE);

