function equalangle(ABC,DEF,MARK)
% EQUALANGLE(ABC,DEF,MARK) marks angles ABC and DEF as equal if they 
%   are, otherwise does nothing.  If MARK(1)=='!', they are marked
%   regardless.
% NB ABC and DEF are both regarded as positive angles.  For example,
%   if angles B and C in triangle [A;B;C] are equal, then angles [A;B;C]
%   and [B;C;A] are equal, but angles [A;B;C] and [A;C;B] are not.
tol=1e-4; if MARK(1)='!', MARK(1)=''; tol=inf; end
if abs(1-degrees(ABC)/degrees(DEF))>tol, return; end
markangle(ABC,MARK); markangle(DEF,MARK);     
