function line(A,B)
% LINE(A,B) or LINE(POINTS) draws the line segment AB
global XMAX YMAX XMIN YMIN DRAWING_FILE TEX
ext=[0;0]; 
if nargin==1, B=A(2); A=A(1); 
elseif length(A)>1, ext=B; B=A(2); A=A(1); end
SE=XMAX+i*YMIN; SW=XMIN+i*YMIN; NE=XMAX+i*YMAX; NW=XMIN+i*YMAX; 
if any(isinf(ext)),
  edge=zeros(1,4); s=sign(B-A);
  edge(1)=cut([A;B],[SW;NW]); edge(2)=cut([A;B],[SE;NE]); 
  edge(3)=cut([A;B],[NE;NW]); edge(4)=cut([A;B],[SE;SW]);
  for k=1:4, 
    if real(edge(k))<XMIN | real(edge(k))>XMAX | ...
       imag(edge(k))<YMIN | imag(edge(k))>YMAX, 
    edge(k)=NaN;
  end; end
  if isinf(ext(1)), for k=1:4, if (edge(k)-B)/s < 0, A=edge(k);
  end; end; end  
  if isinf(ext(2)), for k=1:4, if (edge(k)-A)/s > 0, B=edge(k);
  end; end; end  
end
xA=real(A); yA=imag(A); 
xB=real(B); yB=imag(B);
if TEX, fprintf(DRAWING_FILE,'\\curve(%f,%f, %f,%f)\n',xA,yA, xB,yB);
  else plot([xA;xB],[yA;yB],'b');
end
