function point(A,label,adjust,offset)
% POINT(P) draws the point or points P
% POINT(P,'Q') labels it 'Q'
% POINT(P,'Q',BEARING) puts the label at BEARING angles
% POINT(P,'Q',BEARING,DISTANCE) puts the label at specified DISTANCE
% DISTANCE is in terms of a global UNIT (default value: 1)
global DRAWING_FILE TEX UNIT LABEL_OFFSET
if nargin<4, offset=[]; end
if nargin<3, adjust=[]; end
if nargin<2, label=[]; end
if isempty(adjust), adjust=0; end 
if isempty(offset), offset=LABEL_OFFSET; end;
offset=offset*UNIT; 
adjust=offset*exp(pi*i*adjust/180);
xadj=real(adjust); yadj=imag(adjust);
xA=real(A); yA=imag(A);
for k=1:length(A),
  if TEX, fprintf(DRAWING_FILE,'\\put(%f,%f){\\circle*{3}}\n',xA(k),yA(k));
    else plot(xA(k),yA(k),'o');
  end
  if nargin>1, x=xA(k)+xadj; y=yA(k)+yadj; 
    if TEX,
    fprintf(DRAWING_FILE,'\\put(%f,%f){\\makebox(0,0){%s}}\n',x,y,label);
    else gset(sprintf('label "%s" at %f,%f center',label,x,y))
  end; end
end

