function sweeps(A,P,Q,s)
% SWEEPS(A,P,Q) draws little arcs at $A$ with centres at P and Q, 
% to indicate that A is constructed as the intersection of the
% two circles with those centres.
% SWEEPS(A,P,Q,LEN) specifies the average length of the arcs
%   in terms of a global UNIT.
global UNIT
RP=abs(A-P); RQ=abs(A-Q);
if nargin<4, s=0.2*sqrt(abs(RP*RQ))*UNIT; end
sp=s*(1+rand(1))/1.5; sq=2*s-sp;
rp=(1+2*rand(1))/4; tp=1-rp;
rq=(1+2*rand(1))/4; tq=1-rq;
AP1=P+(A-P)*exp(-i*rp*sp/RP); AP2=P+(A-P)*exp(i*tp*sp/RP);
AQ1=Q+(A-Q)*exp(-i*rq*sq/RQ); AQ2=Q+(A-Q)*exp(i*tq*sq/RQ);
arc(P,AP1,AP2); arc(Q,AQ1,AQ2);
