function text(A,B,align,offset)
% TEXT(POINT,LABEL,[ALIGN=''],[OFFSET=0]) puts a label near
%   a specified point.
% ALIGN may be 'l' or 'r', denoting that text is left- or right-aligned.
%   Any other value centres the text.
% OFFSET is a complex adjustment that will be multiplied by a global
% UNIT (default value: 1) and added to POINT.
global DRAWING_FILE TEX UNIT
if nargin<3, align='c'; end
if nargin<4, offset=0; end
if nargin==3 & ~isstr(align), offset=align; align='c'; end
A=A+offset*UNIT; xA=real(A); yA=imag(A);
if TEX, 
  if align=='l',B=['\\llap{' B '}'];
  elseif align=='r',B=['\\rlap{' B '}'];
  end
  B=['\\makebox(0,0){' B '}']; 
  for i=1:length(B), if B(i)=='@', B(i)='\\'; end, end
  fprintf(DRAWING_FILE,'\\put(%f,%f){%s}\n',xA,yA,B);
else
  if align=='c', just='center';
  elseif align=='r', just='right';
  else just='left';
  end
  gset(sprintf('label "%s" at %f,%f %s',B,xA,yA,just))
end
